%define		pkgname plesk-backup
Name:		ix-firewall-plesk
Summary:	InterNetX GmbH Plesk Firewall
Version:	0.1.10
Release:	6.1
Url:		http://www.internetx.de
License:	GPLv2
Group:		System Environment
Source0:	ix-firewall-%{version}.tar
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	iptables
BuildRequires:	iptables

BuildArch:	noarch

%description
ix-firewall-plesk only allow access to Plesk related services.

%prep
%setup -n ix-firewall-%{version}
 
%build

%install
%__install -D -m755 firewall.plesk %{buildroot}%{_sysconfdir}/init.d/firewall
%__install -D -m755 firewall6.plesk %{buildroot}%{_sysconfdir}/init.d/firewall6
%if 0%{?centos_version} >= 7 || 0%{?rhel} >= 7 || 0%{?suse_version} >= 1210
%__install -D -m644 firewall.service %{buildroot}/usr/lib/systemd/system/firewall.service
%__install -D -m644 firewall6.service %{buildroot}/usr/lib/systemd/system/firewall6.service
%endif

%post
if [ -f /etc/init.d/firewall.custom ] ; then
 mv /etc/init.d/firewall.custom /etc/firewall.custom
fi
if [ -f /etc/init.d/firewall6.custom ] ; then
 mv /etc/init.d/firewall6.custom /etc/firewall6.custom
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config %{_sysconfdir}/init.d/firewall
%config %{_sysconfdir}/init.d/firewall6
%if 0%{?centos_version} >= 7 || 0%{?rhel} >= 7 || 0%{?suse_version} >= 1210
/usr/lib/systemd/system/firewall.service
/usr/lib/systemd/system/firewall6.service
%endif
%changelog
* Fri Jul 26 2024 Carsten Schoene <carsten.schoene@internetx.com>
- update from MRZ-1109
* Thu Feb 24 2022 cs@linux-administrator.com
- updates from MRZ-334
* Fri Sep 15 2017 cs@linux-administrator.com
- update for loading compressed kernel modules
* Fri Jan  8 2016 cs@linux-administrator.com
- add ipv6 firewall script
* Fri Sep  9 2011 cs@linux-administrator.com
- initial package
